Bug 1723450

Summary: marketplace operator segfault
Product: OpenShift Container Platform Reporter: Aravindh Puthiyaparambil <aravindh>
Component: OLMAssignee: lgallett
OLM sub component: OperatorHub QA Contact: Fan Jia <jfan>
Status: CLOSED DUPLICATE Docs Contact:
Severity: unspecified    
Priority: unspecified CC: ecordell, jfan, jupierce, lgallett
Version: 4.1.z   
Target Milestone: ---   
Target Release: 4.1.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1722096 Environment:
Last Closed: 2019-07-25 11:33:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1722096    
Bug Blocks:    

Description Aravindh Puthiyaparambil 2019-06-24 14:30:57 UTC
+++ This bug was initially created as a clone of Bug #1722096 +++

Description of problem:
Noticed during an upgrade to 4.1.2


time="2019-06-19T13:33:05Z" level=info msg="Go Version: go1.10.8"
time="2019-06-19T13:33:05Z" level=info msg="Go OS/Arch: linux/amd64"
time="2019-06-19T13:33:05Z" level=info msg="operator-sdk Version: v0.3.0"
time="2019-06-19T13:33:05Z" level=info msg="Registering Components."
time="2019-06-19T13:33:05Z" level=info msg="[status] Starting sync consumer"
time="2019-06-19T13:33:05Z" level=info msg="Starting the Cmd."
time="2019-06-19T13:33:05Z" level=info msg="[sync] Operator source sync loop will start after 1m0s"
time="2019-06-19T13:33:05Z" level=info msg="[sync] CatalogSourceConfig sync loop will start after 1m0s"
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Out of sync, scheduling for reconciliation from 'Purging' phase" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Spec has changed, scheduling for configuring" name=certified-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Out of sync, scheduling for reconciliation from 'Purging' phase" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Out of sync, scheduling for reconciliation from 'Purging' phase" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Spec has changed, scheduling for configuring" name=community-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Purged datastore. No change(s) were made to corresponding CatalogSourceConfig" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for reconciliation from 'Initial' phase" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Purged datastore. No change(s) were made to corresponding CatalogSourceConfig" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for reconciliation from 'Initial' phase" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Spec has changed, scheduling for configuring" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:05Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Purged datastore. No change(s) were made to corresponding CatalogSourceConfig" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for reconciliation from 'Initial' phase" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for validation" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for validation" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for validation" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for download" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for download" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Scheduling for download" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:05Z" level=info msg="Reconciling OperatorSource openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:05Z" level=info msg="Downloading from [https://quay.io/cnr]" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:06Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:07Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:08Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:09Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:10Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:11Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:12Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:13Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:14Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:15Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:16Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:17Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:18Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:19Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:20Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:21Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:21Z" level=info msg="Downloaded 27 manifest(s) from the operator source endpoint" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:21Z" level=info msg="New opsrc detected. Refreshing catalogsourceconfigs." name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:21Z" level=info msg="Successfully stored 27 operator manifest(s)" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:21Z" level=info msg="Download complete, scheduling for configuration" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:21Z" level=info msg="[sync] sending list of package(s) with new version"
time="2019-06-19T13:33:21Z" level=info msg="Reconciling OperatorSource openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:21Z" level=info msg="Downloading from [https://quay.io/cnr]" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Downloaded 36 manifest(s) from the operator source endpoint" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="New opsrc detected. Refreshing catalogsourceconfigs." name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Successfully stored 36 operator manifest(s)" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Download complete, scheduling for configuration" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="[sync] sending list of package(s) with new version"
time="2019-06-19T13:33:22Z" level=info msg="Reconciling OperatorSource openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="Downloading from [https://quay.io/cnr]" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Downloaded 7 manifest(s) from the operator source endpoint" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="New opsrc detected. Refreshing catalogsourceconfigs." name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Successfully stored 7 operator manifest(s)" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Download complete, scheduling for configuration" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="[sync] sending list of package(s) with new version"
time="2019-06-19T13:33:22Z" level=info msg="Reconciling OperatorSource openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="CatalogSourceConfig object has been updated successfully" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Reconciling OperatorSource openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="CatalogSourceConfig object has been updated successfully" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Reconciling OperatorSource openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="CatalogSourceConfig object has been updated successfully" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Reconciling OperatorSource openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="No action taken, the object has already been reconciled" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Reconciling OperatorSource openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="No action taken, the object has already been reconciled" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Reconciling OperatorSource openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="No action taken, the object has already been reconciled" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:22Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="Scheduling for configuring" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:22Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="Scheduling for configuring" name=certified-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:22Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:22Z" level=info msg="Scheduling for configuring" name=community-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:22Z" level=info msg="Reconciling CatalogSourceConfig openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:24Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:25Z" level=info msg="[status] Current ClusterOperator conditions:"
time="2019-06-19T13:33:25Z" level=info msg="[status] ConditionType: Progressing\tConditionStatus: True\tConditionMessage: Progressing towards 4.1.2"
time="2019-06-19T13:33:25Z" level=info msg="[status] ConditionType: Available\tConditionStatus: False\tConditionMessage: "
time="2019-06-19T13:33:25Z" level=info msg="[status] ConditionType: Degraded\tConditionStatus: False\tConditionMessage: "
time="2019-06-19T13:33:26Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:28Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:30Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:32Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:34Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:36Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:38Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:40Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:42Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:44Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:45Z" level=info msg="[status] Current ClusterOperator conditions:"
time="2019-06-19T13:33:45Z" level=info msg="[status] ConditionType: Progressing\tConditionStatus: False\tConditionMessage: "
time="2019-06-19T13:33:45Z" level=info msg="[status] ConditionType: Available\tConditionStatus: True\tConditionMessage: 4.1.2 is available"
time="2019-06-19T13:33:45Z" level=info msg="[status] ConditionType: Degraded\tConditionStatus: False\tConditionMessage: "
time="2019-06-19T13:33:46Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:48Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:50Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:51Z" level=info msg="Reconciling OperatorSource openshift-marketplace/redhat-operators\n"
time="2019-06-19T13:33:51Z" level=info msg="No action taken, the object has already been reconciled" name=redhat-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:52Z" level=info msg="Reconciling OperatorSource openshift-marketplace/certified-operators\n"
time="2019-06-19T13:33:52Z" level=info msg="No action taken, the object has already been reconciled" name=certified-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:52Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:53Z" level=info msg="Reconciling OperatorSource openshift-marketplace/community-operators\n"
time="2019-06-19T13:33:53Z" level=info msg="No action taken, the object has already been reconciled" name=community-operators namespace=openshift-marketplace type=OperatorSource
time="2019-06-19T13:33:54Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:56Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:33:58Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:00Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:02Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:04Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:05Z" level=info msg="[sync] CatalogSourceConfig sync loop has started"
time="2019-06-19T13:34:05Z" level=info msg="[sync] received list of package(s) with new version, syncing CatalogSourceConfig object(s)"
time="2019-06-19T13:34:05Z" level=info msg="[sync] received list of package(s) with new version, syncing CatalogSourceConfig object(s)"
time="2019-06-19T13:34:05Z" level=info msg="[sync] received list of package(s) with new version, syncing CatalogSourceConfig object(s)"
time="2019-06-19T13:34:05Z" level=info msg="[sync] sending initial package update notification on start."
time="2019-06-19T13:34:05Z" level=info msg="[sync] Operator source sync loop has started"
time="2019-06-19T13:34:05Z" level=info msg="[sync] sending list of package(s) with new version"
time="2019-06-19T13:34:05Z" level=info msg="[sync] received list of package(s) with new version, syncing CatalogSourceConfig object(s)"
time="2019-06-19T13:34:06Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:08Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:10Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:12Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:14Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:16Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:18Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:20Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:22Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
time="2019-06-19T13:34:22Z" level=info msg="Waiting for scale down of Deployment redhat-operators (1/0)\n" name=redhat-operators targetNamespace=openshift-marketplace type=CatalogSourceConfig
E0619 13:34:22.679214       1 runtime.go:66] Observed a panic: "invalid memory address or nil pointer dereference" (runtime error: invalid memory address or nil pointer dereference)
/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:72
/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:65
/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:51
/opt/rh/go-toolset-1.10/root/usr/lib/go-toolset-1.10-golang/src/runtime/asm_amd64.s:573
/opt/rh/go-toolset-1.10/root/usr/lib/go-toolset-1.10-golang/src/runtime/panic.go:502
/opt/rh/go-toolset-1.10/root/usr/lib/go-toolset-1.10-golang/src/runtime/panic.go:63
/opt/rh/go-toolset-1.10/root/usr/lib/go-toolset-1.10-golang/src/runtime/signal_unix.go:388
/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/apis/meta/v1/meta.go:133
/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/registry.go:87
/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/registry.go:87
/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/configuring.go:91
/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/configuring.go:66
/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/handler.go:56
/go/src/github.com/operator-framework/operator-marketplace/pkg/controller/catalogsourceconfig/catalogsourceconfig_controller.go:111
/go/src/github.com/operator-framework/operator-marketplace/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:213
/go/src/github.com/operator-framework/operator-marketplace/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:158
/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133
/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:134
/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:88
/opt/rh/go-toolset-1.10/root/usr/lib/go-toolset-1.10-golang/src/runtime/asm_amd64.s:2361
panic: runtime error: invalid memory address or nil pointer dereference [recovered]
	panic: runtime error: invalid memory address or nil pointer dereference
[signal SIGSEGV: segmentation violation code=0x1 addr=0x20 pc=0x106e9d8]

goroutine 361 [running]:
github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/runtime.HandleCrash(0x0, 0x0, 0x0)
	/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:58 +0x107
panic(0x1272560, 0x1eb5790)
	/opt/rh/go-toolset-1.10/root/usr/lib/go-toolset-1.10-golang/src/runtime/panic.go:502 +0x229
github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/apis/meta/v1.(*ObjectMeta).GetName(...)
	/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/apis/meta/v1/meta.go:133
github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig.(*registry).ensureDeployment(0xc42041c9b0, 0xc420c19780, 0x1, 0x1, 0xc420554c00, 0xc4200ad9c0, 0x410408)
	/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/registry.go:130 +0x6d8
github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig.(*registry).Ensure(0xc42041c9b0, 0xc42041c9b0, 0x0)
	/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/registry.go:87 +0x6c
github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig.(*configuringReconciler).reconcileCatalogSource(0xc4204e2b80, 0xc420ca6820, 0x154f120, 0x0)
	/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/configuring.go:91 +0x17c
github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig.(*configuringReconciler).Reconcile(0xc4204e2b80, 0x154eee0, 0xc4200ba038, 0xc420ca6820, 0xc4204e2b80, 0x0, 0x0, 0x2)
	/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/configuring.go:66 +0xe0
github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig.(*catalogsourceconfighandler).Handle(0xc4200c04b0, 0x154eee0, 0xc4200ba038, 0xc420ca6820, 0x15, 0xc42003d090)
	/go/src/github.com/operator-framework/operator-marketplace/pkg/catalogsourceconfig/handler.go:56 +0xbf
github.com/operator-framework/operator-marketplace/pkg/controller/catalogsourceconfig.(*ReconcileCatalogSourceConfig).Reconcile(0xc420852340, 0xc420768820, 0x15, 0xc42003d090, 0x10, 0x1ed3000, 0x0, 0x0, 0x0)
	/go/src/github.com/operator-framework/operator-marketplace/pkg/controller/catalogsourceconfig/catalogsourceconfig_controller.go:111 +0x2bd
github.com/operator-framework/operator-marketplace/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).processNextWorkItem(0xc420182460, 0x0)
	/go/src/github.com/operator-framework/operator-marketplace/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:213 +0x1c6
github.com/operator-framework/operator-marketplace/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).Start.func1()
	/go/src/github.com/operator-framework/operator-marketplace/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:158 +0x36
github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait.JitterUntil.func1(0xc42040e5e0)
	/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:133 +0x54
github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait.JitterUntil(0xc42040e5e0, 0x3b9aca00, 0x0, 0x1, 0xc42067c0c0)
	/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:134 +0xbd
github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait.Until(0xc42040e5e0, 0x3b9aca00, 0xc42067c0c0)
	/go/src/github.com/operator-framework/operator-marketplace/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:88 +0x4d
created by github.com/operator-framework/operator-marketplace/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller.(*Controller).Start
	/go/src/github.com/operator-framework/operator-marketplace/vendor/sigs.k8s.io/controller-runtime/pkg/internal/controller/controller.go:157 +0x35b


Additional info:
The pod restarted and was able to recover.

--- Additional comment from Justin Pierce on 2019-06-19 13:48 UTC ---